API V1 · Context Images
List context images
curl --request GET \ --url https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages \ --header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages"
headers = {"Authorization": "Bearer YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages';const options = {method: 'GET', headers: {Authorization: 'Bearer YOUR_API_KEY'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer YOUR_API_KEY")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages") .get() .addHeader("Authorization", "Bearer YOUR_API_KEY") .build();
Response response = client.newCall(request).execute();<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_API_KEY', ],]);
echo $response->getBody();require 'uri'require 'net/http'
url = URI("https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages")
http = Net::HTTP.new(url.host, url.port)http.use_ssl = true
request = Net::HTTP::Get.new(url)request["Authorization"] = 'Bearer YOUR_API_KEY'
response = http.request(request)puts response.read_bodyusing System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/contextImages"), Headers = { { "Authorization", "Bearer YOUR_API_KEY" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}Retrieves a list of the context images.
This is a paginated endpoint; see the page and size query parameters to control pagination.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”WorkspaceUrl
ProjectUrl
Query Parameters
Section titled “Query Parameters”A filter based on UrlFilter
Example
to fetch context images not bound to any segments: urlFilter={"where":{"_and":[{"contextImage[segments]":{"_npresent":true}}]}}Zero-based page index (0..N)
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
The size of the page to be returned
Responses
Section titled “Responses”OK: Returns a paginated list of the context images for the specified project.
object
Response object containing details of a context image including its connection status and metadata
object
The unique identifier of the context image in the format ‘ci_<encrypted_id>’
Example
ci_18USq6822XIv-19847171The original filename of the uploaded context image
Optional user-provided description of the context image
Example
Screenshot of the main dashboard showing the navigation menuThe full URL to view the context image via Cloudflare Images CDN
The title of the project this context image belongs to
The ISO 639-1 language code (with optional regional variant) this context image is associated with
Example
enThe count of text segments that are definitively connected to this context image
The count of text segment connection suggestions pending review
The source channel through which the context image was uploaded
The current upload processing status of the image
The current status of the OCR text detection process
The timestamp when the context image was originally uploaded
The timestamp when the context image was last updated